

:root {
  --orange: #F1592A;
  --dark-orange: #A12700;
  --light-orange: #FF9C7C;

  --dark-grey: #58585A;
  --med-grey: #818285;
  --light-grey: #D1D2D4;
  --med-dark-grey: #6D6E71;

  --black: #000;
  --white: #fff;

  --font-stack: helvetica, arial, sans-serif;

  --breakpoint: 55em;
}

html {
  box-sizing: border-box;
  height: 100%;
}

body {
  background: var(--white);
  border-top: 5px solid var(--dark-orange);
  color: var(--dark-grey);
  font-family: var(--font-stack);
  line-height: 1.4;
  margin: 0;
  display: flex;
  flex-direction: column;
  height: 100%;
}

.flex_main {
  flex: 1;
}

a {
  color: var(--orange);
}

hr {
    color: #ccc;
    width: 75%;
}

header {
  text-align: center;
  padding-top: 1em;
}

header .primary h1 {
  text-align: center;
  margin-bottom: 0;
}

header .primary h1 a {
  color: var(--dark-grey);
  font-size: 2em;
  text-decoration: none;
  text-transform: uppercase;
}

header .primary h1 span {
  display: block;
}

header .secondary h2 {
  font-size: 2em;
  line-height: 1;
  margin-top: 0;
}

header nav {
  display: flex;
  justify-content: center;
}

@media (max-width: 51em) {
  header nav {
    max-width: 100%;
    overflow: hidden;
  }
}

header .inner {
  padding: 0;
}

header nav .button {
  margin: 0 1px;
  padding: 0.5em 1em;
  border-radius: 0;
}

header nav .button > span {
  display: inline-block;
}

@media (min-width: 51em) {
  header .inner {
    display: flex;
    justify-content: center;
  }

  header .primary {
    align-items: flex-start;
    display: flex;
    flex: 1 0 50%;
    flex-direction: column;
    justify-content: center;
  }

  header .primary h1 a {
    font-size: 1.5em;
  }

  header .secondary {
    display: flex;
    flex: 1 0 50%;
    flex-direction: column;
    justify-content: flex-end;
    margin-bottom: 0.8rem;
  }

  header h1 {
    margin: 0.5em 0;
  }
}

.inner {
  padding: 0 1em 0 1em;
}

@media (min-width: 51em) {
  .inner {
    margin: 0 auto;
    max-width: var(--breakpoint);
    padding: 0 0 0 0;
  }
}

section {
  padding: 1em 0;
  position: relative;
}


pre {
  display: block;
  padding: 9.5px;
  margin: 0 0 10px;
  font-size: 13px;
  line-height: 1.42857143;
  color: var(--dark-grey);
  word-break: break-all;
  word-wrap: break-word;
  background-color: #f5f5f5;
  border: 1px solid #ccc;
  text-shadow: none;
  overflow-x: auto;
}

code {
  padding: 2px 4px;
  font-size: 90%;
  background-color: #f5f5f5;
  border-radius: 4px;
  border: 1px solid #ccc;
  color: var(--dark-grey);
  text-shadow: none;
}

pre code {
  padding: 0;
  font-size: inherit;
  color: inherit;
  white-space: pre-wrap;
  background-color: transparent;
  border-radius: 0;
  border: 0;
}

.top_margin {
  padding-top: 1em;
}

.button {
  background: var(--med-grey);
  border-radius: 3px;
  color: var(--white);
  text-decoration: none;
  padding: 0.5em;
  /*transition: background 1.3s ease-in-out;*/
}

.button:hover,
.button:active,
.button:focus {
  background: var(--light-grey);
  color: var(--black);
}



footer {
  background: var(--dark-orange);
  color: var(--light-grey);
  text-align: center;
}

footer a {
  color: var(--light-grey);
}

